package com.tencent.qqmusictv.service;

import com.tencent.qqmusicplayerprocess.network.listener.OnResultListener;
import com.tencent.qqmusicplayerprocess.network.listener.ISplitCallbackListener;
import com.tencent.qqmusicplayerprocess.network.request.AidlRequest;
import com.tencent.qqmusictv.business.session.Session;
import com.tencent.qqmusicplayerprocess.network.downloader.RequestMsg;

interface INetworkService {
    int sendRequest(in AidlRequest request, OnResultListener listener);
    
    Session getSession();
    
    oneway void sendSessionRequest(int callerState);

    int sendSplitMsg(in RequestMsg sendMsg,int level,String filePathName,ISplitCallbackListener callBackListener);

    oneway void cancelSplitTask(int sendedIndex);
    
    boolean isSessionReady();
    
    oneway void cancelTask(int taskId);

    void setHostType(int type);

    void setWnsEnable(boolean enable);
}
